1. Security Event
api-security
  • Security-Api
    • Roles
      • Index
      • Create
      • Show
      • Update
      • Delete
    • Devices
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Security Event
      • Index
        GET
      • Show
        GET
      • Create
        POST
      • Update
        PUT
      • Delete
        DELETE
    • Alerts
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Incidents
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Incident Comments
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Auth
      • Login
      • Logout
      • Me
    • Dashboard
      • Index
    • Notifications
      • Index
      • Unread
      • Mark As Read
  1. Security Event

Create

Developing
POST
http://127.0.0.1:8000/api/security_events
Creates a security event and enriches the source IP using AbuseIPDB threat intelligence data.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success Create
application/json
Bodyapplication/json

🟠422Error Create
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'http://127.0.0.1:8000/api/security_events' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {token}' \
--header 'Content-Type: application/json' \
--data '{
    "device_id": 2,
    "user_role": "admin",
    "event_type": "multiple_failed_logins",
    "description": "Multiple failed login attempts detected from the same source IP.",
    "source_ip": "10.0.0.45",
    "severity": "low",
    "event_date": "2026-05-28 12:05:00"
}'
Response Response Example
200 - Éxito
{
    "message": "Security event created successfully",
    "data": {
        "id": 11,
        "device_id": 3,
        "user_role": "analyst",
        "event_type": "privilege_escalation_attempt",
        "description": "Suspicious privilege escalation activity detected from an external source.",
        "source_ip": "1.1.1.1",
        "severity": "high",
        "event_date": "2026-06-21 14:30:00",
        "abuse_confidence_score": 0,
        "country_code": "AU",
        "usage_type": "Content Delivery Network",
        "isp": "APNIC and Cloudflare DNS Resolver project",
        "is_tor": false,
        "ip_reputation_status": "clean"
    }
}
Modified at 2026-06-22 14:57:37
Previous
Show
Next
Update
Built with